## cleese-0.2.1.tar.gz

=== Makefile ===
# Copyright Bernardo Heynemann <heynemann@gmail.com>

# Licensed under the Open Software License ("OSL") v. 3.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.opensource.org/licenses/osl-3.0.php

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Makefile for cleese
SHELL := /bin/bash

root_dir=.
build_dir=${root_dir}/build
src_dir=${root_dir}/cleese

tests_dir=${root_dir}/tests
unit_tests_dir=${tests_dir}/unit
functional_tests_dir=${tests_dir}/functional

all: compile test

compile:
	@echo "Compiling source code..."
	@rm -f -r ${src_dir}/*.pyc >> /dev/null
	@python -m compileall ${src_dir}

test: compile
	@echo "Running unit tests..."
	@nosetests -s --verbose --with-coverage --cover-package=cleese ${unit_tests_dir} ${functional_tests_dir}

deb:
	mv .git /tmp/cleese_git
	python -c 'import os;os.system("debuild")'
	mv /tmp/cleese_git .git

=== debian/changelog ===
python-cleese (0.2.0) dev; urgency=low

  * New release.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Mon, 07 Dec 2009 19:41:33 -0200

python-cleese (0.1.0) dev; urgency=low

  * Initial release.

 -- Bernardo Heynemann <heynemann@gmail.com>  Mon, 5 Oct 2009 02:23:29 -0300

=== debian/control ===
Source: python-cleese
Section: python
Priority: optional
Maintainer: Bernardo Heynemann <heynemann@gmail.com>
Uploaders: Bernardo Heynemann <heynemann@gmail.com>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 7), python, cdbs, python-setuptools, python-support
Build-Depends-Indep: python-sphinx
Homepage: http://www.cleese.org/
Vcs-Git: git://github.com/heynemann/cleese.git
Vcs-Browser: http://github.com/heynemann/cleese/tree/master

Package: python-cleese
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends:
Suggests:
Description: cleese is a shell command executer for python applications.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport
DEB_PYTHON_MODULE_PACKAGE = python-pyccuracy

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
